<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Challenge of the Super Sons (2020-)</Series>
  <Number>5</Number>
  <Web>https://www.comixology.com/Challenge-of-the-Super-Sons-2020-5/digital-comic/911852</Web>
  <Summary>The Super Sons are trapped in the past – locked in deadly combat with noted jerk and recipient of “worst person to ever be granted immortality” award Vandal Savage! In this second installment of Superboy and Robin’s adventures in the past (before returning to the present to save the Justice League from certain death), you’ll witness a harrowing escape, a SUPER ugly monster and the origin of Rora: Jon and Damian’s spell-wielding ally!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB911852]</Notes>
  <Publisher>DC</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
